Page 1 of 1

[LINUX] installing GIMX on Linux gksu dependecies problem

Posted: Wed Jul 11, 2018 10:25 am
by vitalb
Hello Matlo and everbody.
Yesterday i faced with a problem, while installing GIMX on Linux (Mint 19)
I wasn't able to install .deb package, because it requiers gksu package. Google says that gksu package is not availiable in repositories since Ubuntu 18.04 (my Linux Mint 19 is based on Ubuntu 18.04) and

Code: Select all

sudo apt install gksu
will not help, the result will be:

Code: Select all

Building dependency tree       
Reading state information... Done
Package gksu is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
So i had to use this manual (only "Long method" helped me). After doing it, i was able to install GIMX without any problem.
Guys, use this manual if you face same problem. Matlo, is it possible to remove this dependency?
P.S. When i connect my dualshock to linux pc - dualshock's light turns on like it is turned ON. Is it normal?
P.P.S I was tired to use my big laptop, so i decided to use small 10" asus netbook (1 gb ram , NO HDD). I've installed Linux Mint XFCE on SD card (it is plugged in built-in card reader), and after solving gksu problem - all works fine and takes up not much space

Re: [LINUX] installing GIMX on Linux gksu dependecies problem

Posted: Wed Jul 11, 2018 5:48 pm
by Matlo
Hello,

The currently supported Ubuntu version is 16.04. It's not surprising that you have issues installing the package on 18.04.

I will remove this dependency when I'll upgrade my working station from Linux Mint 18 to 19.